import request from '@/utils/request'
// 获取列表
export function getList(params) {
  return request({
    url: 'callcenterapi/api/sysivrwords/getlistsbypage',
    method: 'get',
    params
  })
}

// ivr欢迎词添加
export function addIvrGreeting(data) {
  return request({
    url: 'callcenterapi/api/sysivrwords/add',
    method: 'post',
    data
  })
}

// ivr欢迎词修改
export function editIvrGreeting(params) {
  return request({
    url: 'callcenterapi/api/sysivrwords/update',
    method: 'post',
    data: params
  })
}
// 获取ivr欢迎词详情
export function getIvrGreeting(id) {
  return request({
    url: 'callcenterapi/api/sysivrwords/getsingle',
    method: 'get',
    params: {
      id
    }
  })
}
// 删除ivr欢迎词
export function delIvrGreeting(ids) {
  return request({
    url: 'callcenterapi/api/sysivrwords/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
